package com.xynet.marketing.service.factory.coupon.merc;


import com.xynet.marketing.utils.collections.map.JMap;

/**
 * 优惠券工厂-接口
 *
 * @author hechunping
 * @date 2025/1/20
 */
public interface MercCouponFactory {

    /**
     * 新增或修改
     *
     * @param param
     * @return
     */
    Integer saveOrUpdate(JMap<String, Object> param);

    /**
     * 商家发放优惠券
     *
     * @param param
     */
    void mercSend(JMap<String, Object> param);

    /**
     * 注册赠送
     *
     * @param param
     */
    void registerSend(JMap<String, Object> param);

    /**
     * 购物后赠送
     *
     * @param param
     * @return
     */
    void orderSend(JMap<String, Object> param);

    /**
     * 自动发放
     *
     * @param param
     */
    void autoSend(JMap<String, Object> param);
}
